
%global debug_package %{nil}
%global golang_version 1.13.15

Name:      cri-tools
Version:   1.17.0
Release:   1.0.2%{?dist}
Vendor:    Oracle America
Summary:   CLI tool for Kubelet Container Runtime Interface
Group:     Development/Tools
License:   Apache-2.0

Source0: %{name}-%{version}.tar.bz2
BuildRequires: golang >= %{golang_version}
Provides: %{_sysconfdir}/cri-tools/1.17

%description
cri-tools are a utilities for Kubelet Container Runtime Interface runtimes, such as CRI-O.

%prep
%setup -q

%build
mkdir -p _output/src/github.com/kubernetes-incubator/
ln -s `pwd` _output/src/github.com/kubernetes-incubator/cri-tools
make binaries

%install
rm -rf %{buildroot}

# Create a version file so this project can be bounded as a dependency
install -dp %{buildroot}%{_sysconfdir}/cri-tools
touch %{buildroot}%{_sysconfdir}/cri-tools/1.17

make install BINDIR=%{buildroot}/usr/bin

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%defattr(-,root,root,-)
%{_sysconfdir}/cri-tools/1.17
/usr/bin/crictl
/usr/bin/critest

%changelog
* Fri Aug 14 2020 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.17.0-1.0.2
- Address CVE-2020-16845

* Mon Mar 16 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.17.0-1.0.1
- Added Oracle Specific Build Files for cri-tools
